Loading...
Searching...
No Matches
Opm::EffToAbsLawParams< EffLawParamsT, numPhases > Class Template Reference

A default implementation of the parameters for the adapter class to convert material laws from effective to absolute saturations. More...

`#include <EffToAbsLawParams.hpp>`

Inheritance diagram for Opm::EffToAbsLawParams< EffLawParamsT, numPhases >:

## Public Types

typedef EffLawParams::Traits | Traits

## Public Member Functions

void | finalize ()
| Calculate all dependent quantities once the independent quantities of the parameter object have been set.
Scalar | residualSaturation (unsigned phaseIdx) const
| Return the residual saturation of a phase.
Scalar | sumResidualSaturations () const
| Return the sum of the residual saturations.
void | setResidualSaturation (unsigned phaseIdx, Scalar value)
| Set the residual saturation of a phase.

## Detailed Description

template<class EffLawParamsT, int numPhases>
class Opm::EffToAbsLawParams< EffLawParamsT, numPhases >

A default implementation of the parameters for the adapter class to convert material laws from effective to absolute saturations.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EffToAbsLawParams.hpp